<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.116
Description: COCT_RM900916NL02: Gegevens van rijksvaccinaties en andere vaccinaties
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.116">
   <title>A_Rijksvaccinatie [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]
Item: (A_Rijksvaccinatie-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent"
         id="tmp-a0820e19-187f-4120-9afb-ebbe5f7b14d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='SBADM' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-universal): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-universal): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'])&lt;=1">(A_Rijksvaccinatie-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]])&lt;=1">(A_Rijksvaccinatie-universal): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:reason)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:reason komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:causeOf2)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:causeOf2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:component komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:subjectOf)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']"
         id="tmp-dd81eadf-a460-4010-b7a2-f091d3278795">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.116'">(A_Rijksvaccinatie-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.116' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Rijksvaccinatie-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:code"
         id="tmp-1fbfa645-7d86-4740-8915-d36b792a2c01">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:effectiveTime
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:effectiveTime"
         id="tmp-9e6d5b2a-bfb2-47ed-b266-5212d3eb295d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="matches(@value,'^[0-9]{8}')">(A_Rijksvaccinatie-universal): 
                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-cdd0c7bb-557d-479b-825d-1c2782bd01f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='CSM' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-5d02cf93-4231-4a58-b1c9-5a64b82a97d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='ADMM' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-ebd56b13-cde0-4bd9-98f5-335d78044da1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-universal): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="hl7:lotNumberText or ../../../hl7:authorization">(A_Rijksvaccinatie-universal): lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-abe07328-4e75-4f70-85fb-4b2bf1b776ec">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-12938648-e530-486c-937b-24e3c8288641">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(../../../../hl7:authorization)">(A_Rijksvaccinatie-universal): als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]
Item: (A_Rijksvaccinatie-universal)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]"
         id="tmp-6856d1ec-d392-4373-9ea1-7782ef3c85c1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason"
         id="tmp-d66ba741-cd11-4741-8778-497a5d150458">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:vaccinationReason)&gt;=1 and not(hl7:vaccinationReason/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:vaccinationReason is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:vaccinationReason)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:vaccinationReason komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason"
         id="tmp-3e29a15e-3e25-4868-a3b8-97e28979e24a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason/hl7:code"
         id="tmp-292fbebc-2687-417c-85e9-99c9d0d1fe20">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''686' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason/hl7:value"
         id="tmp-61558029-1963-4f78-ae36-d3b8319e3f36">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.417-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.417-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0417_HL7 W0417 Reden van enting (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0417_HL7 W0417 Reden van enting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1"
         id="tmp-25fa2e26-56d7-473e-a1e9-ba529a4813d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='CAUS' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'CAUS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:serologyTest)&gt;=1 and not(hl7:serologyTest/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:serologyTest is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:serologyTest)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:serologyTest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest"
         id="tmp-4ac6d1d0-3758-4363-a56b-2489f7416cfe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest/hl7:code"
         id="tmp-d15f193f-c8fb-4f92-9d90-a1fe27533b85">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''869' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest/hl7:value"
         id="tmp-fc85ae0e-933b-4b44-9e2a-982856dd8d69">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.284-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.284-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2"
         id="tmp-0c62b167-a9b9-4dfc-aa4a-61735a505e39">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='CAUS' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'CAUS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:adverseReaction)&gt;=1 and not(hl7:adverseReaction/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:adverseReaction is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:adverseReaction)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:adverseReaction komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction"
         id="tmp-97446adc-8d3f-4e33-8d64-5d335d08166b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:subjectOf)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:code"
         id="tmp-eda328d8-237f-4bc5-b722-9aa33abc1368">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''874' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime
Item: (A_Rijksvaccinatie-universal)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime"
         id="tmp-0be0949c-99f2-432a-a448-cbab87fe21fa">
      <extends rule="tmp-6199d11d-4b24-4456-ac48-ceaebcd0c6e9"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction"
         id="tmp-a11cfe4b-f983-4581-a703-e06febd0650f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-6199d11d-4b24-4456-ac48-ceaebcd0c6e9" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:low"
         id="tmp-1a514649-d5eb-4845-af6c-93ed7d3000a7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:high"
         id="tmp-6f15ae1d-5c68-4c54-9cb6-fc3ea04ec0cd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:value"
         id="tmp-25140fd5-6db2-4bae-989d-5a0149b08d8f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf"
         id="tmp-db3df9bb-fdaf-4c41-9c77-16443e4e1017">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:informationControlActEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:informationControlActEvent)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:informationControlActEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent"
         id="tmp-89c5534e-4746-49f1-9756-5ffa3c723676">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='INFO' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'INFO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:code"
         id="tmp-9964bfc6-077d-4c8c-9892-c1d139f8e979">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''875' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:effectiveTime
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:effectiveTime"
         id="tmp-bfbb2e34-2f94-4870-ad5f-50c589b790bb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer"
         id="tmp-2255bfe5-c452-483d-8cba-179166a410ac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson"
         id="tmp-966fcfc2-d897-4fa4-beb4-815f2d79f61a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson/hl7:id
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson/hl7:id"
         id="tmp-9e383b92-0746-451b-9f93-01e9445a2eee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization"
         id="tmp-cd22bbf2-116a-4d32-8be6-3be8fa0368ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:consentEvent)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent"
         id="tmp-44c17685-f6f0-4a96-94a3-27fa0e533416">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='CONS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@negationInd)='true'">(A_Rijksvaccinatie-universal): de waarde van @negationInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code"
         id="tmp-7ea9a103-9871-427e-9cb4-8e05600668b4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf"
         id="tmp-c28238f5-45ca-42ab-9c27-87d85131cb5d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:observationEvent)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent"
         id="tmp-74ab5d20-eed9-46ef-9b8e-ec6b9413f5eb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code"
         id="tmp-c637d661-7838-496d-a4c0-7cbbc8fc9691">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''683' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value"
         id="tmp-de0b0a44-6a46-4a94-90fe-55e4b3e619ba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component"
         id="tmp-0626108c-7ac4-4811-852f-56c414f1bbb7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_Rijksvaccinatie-universal): keuze (hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_Rijksvaccinatie-universal): keuze (hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component
Item: (A_Rijksvaccinatie-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-6c5e8543-7f6e-4b79-a80b-bd71b1fb4083">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code"
         id="tmp-69eba9d1-5407-4122-a746-174ad8b86136">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''608' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value"
         id="tmp-d3a0fefa-019a-4e59-8c15-8d2f7cd1f920">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.416-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.416-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0416_HL7 W0416 Type oproepkaart (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0416_HL7 W0416 Type oproepkaart (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-974ddd6b-fec0-4669-96dc-03f6a39e6a81">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code"
         id="tmp-bf39318b-d79f-4e3c-9c82-b78b8db16f1b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''872' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value"
         id="tmp-782008a2-0702-433d-82c5-eea009cdf6ac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-f0fc62a3-9d7c-4694-b63c-f68ef9c6e97a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code"
         id="tmp-942e3b32-d090-4615-9da4-971381f3a7a4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''5063' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value"
         id="tmp-527d6692-65f0-4eea-8ade-a84f33860156">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.408-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.408-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0408_HL7 W0408 BCG litteken (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0408_HL7 W0408 BCG litteken (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf"
         id="tmp-3841490b-48c5-4925-83eb-3bae4f2360a9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:scheduleDeviation)&gt;=1 and not(hl7:scheduleDeviation/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:scheduleDeviation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:scheduleDeviation)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:scheduleDeviation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation"
         id="tmp-7e2c9e6c-efa7-405b-b9f8-5c4944411a79">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="hl7:text or hl7:value">(A_Rijksvaccinatie-universal): Element text (toelichting) en/of value (reden) MOET een waarde bevatten</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:code
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:code"
         id="tmp-73f55ccf-a5c9-434d-a37d-5588c833300e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''686' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:text
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:text"
         id="tmp-7ecd732e-e558-48a5-ba3b-5298827dd0a9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.116
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:value
Item: (A_Rijksvaccinatie-universal)
-->

<rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:value"
         id="tmp-c0ec9d6c-5eb8-4167-a807-f31ca6ad9daa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.429-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.429-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0429_HL7 W0429 Reden afwijkend schema (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.116-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0429_HL7 W0429 Reden afwijkend schema (HL7) DYNAMIC.</assert>
   </rule>
</pattern>
