<?xml version="1.0" encoding="UTF-8"?>
<!--

Conversie eh XSLT startdeel DPM berichten

EDIFACT XML WCIA tabel 25 DSG segmenten -> HL7 versie 3 bericht fragmenten

Heitmann Consulting & Services
opdracht door Stichting NICTIZ

-->
<xsl:stylesheet exclude-result-prefixes="code xsi" xmlns:code="urn::tab25-codes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.0">
  <xsl:output encoding="UTF-8" indent="yes" method="xml"/>
  <!--

     template voor loop G00007

    -->
  <xsl:template match="//EDIFACT">
    <xsl:apply-templates select="G00002/G00005/G00007"/>
  </xsl:template>
  <!-- 
  
     template voor uitvoer gestructureerde dosering
  
  -->
  <xsl:template match="G00007">
    <xsl:call-template name="OutputMedicationAdministrationRequest">
      <xsl:with-param name="DosageIdIsNumeric" select="1"/>
      <xsl:with-param name="DosageTranslate" select="1"/>
    </xsl:call-template>
  </xsl:template>
  
  <xsl:include href="DSG-to-medicationAdministrationRequest-261.xsl"/>
</xsl:stylesheet>
